Antom, leading provider of tailored payment solutions

inquireCardTransactionLifecycle

POST /v1/aba/cards/inquireCardTransactionLifecycle

This API is used to query card spends grouped by either lifecycleId or use a generic lifecycle ID. Each row contains event totals, the latest event state, and card context for list rendering and high-level reconciliation. You can use notifyCardBill, which provides the orderNo as the lifecycleId, to query the corresponding data.

Request parameters

startTime Datetime  

The start time. Optional lower bound for transactionTime.

Notes:

  • If only startTime is provided, query records from startTime onward.
  • If omitted, no lower time bound is applied.
  • PARAM_ILLEGAL is returned if invalid date-time, or a value that violates the maximum 100-day range.

More information:

  • Maximum length: 32 characters
  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

endTime Datetime  

The end time. Optional upper bound for transactionTime.

Notes:

  • If only endTime is provided, query records up to endTime.
  • If omitted, no upper time bound is applied.
  • PARAM_ILLEGAL is returned if invalid date-time, or a value that violates the maximum 100-day range.

More information:

  • Maximum length: 32 characters
  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

assetIdList Array  

Card asset ID list.

Maximum size: 20 elements, each with max length 32.

Note: If omitted, this parameter displays all card asset IDs.

transactionCurrencyList Array  

The order currency. The value is a 3-letter currency code that follows the ISO 4217 standard.

Maximum size: 20 elements, each = 3.

Notes:

  • If omitted, this parameter displays all currencies.
  • PARAM_ILLEGAL is returned if more than 20 elements, or an element that is not a supported three-letter ISO 4217 code.

lifecycleIdList Array  

Lifecycle ID list.

Maximum size: 20, each ≤ 64

Note: If omitted, this parameter displays all lifecycle IDs.

pageSize Integer  

Items per page.

Note: There is no default value for this parameter. PARAM_ILLEGAL is returned if missing, empty, or out of range.

More information:

  • Value range: [1, 100]

pageNumber Integer  

One-based page number.

Note: There is no default value for this parameter. PARAM_ILLEGAL is returned if missing, empty, or out of range.

More information:

  • Value range: [1, 10000]

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

lifecycles Array<CardTransactionLifecycle>  

Spend aggregates.

Notes:

  • This parameter is returned when the value of resultStatus is S.
  • This parameter returns an empty array when the query does not have a match.

More information:

  • Maximum size: 100 elements
Show child parameters

totalCount Integer  

Total number of matching records when the request is processed.

Notes:

  • This parameter is returned when the value of resultStatus is S.
  • This value is 0 if no records match.

More information:

  • Value range: [0, +∞)

totalPageNumber Integer  

Total number of pages, calculated as ceil(totalCount/pageSize).

Notes:

  • This parameter is returned when the value of resultStatus is S.
  • This value is 0 if no records match.

More information:

  • Value range: [0, +∞)

currentPageNumber Integer  

Current 1-based page number, matching the requested pageNumber.

Note: This parameter is returned when the value of resultStatus is S.

More information:

  • Value range: [1, 10000]
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

No further action is needed.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request parameters, including the header parameters and body parameters, are correct and valid. For details on the parameters of each API, see the specific API Structure section.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh token to get a new access token or contact our Technical Support Team to address it.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

PROCESS_FAILFA general business failure occurred.

Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support Team to resolve the issue.

CONTRACT_NOT_EXISTFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.